#!/usr/bin/env node

// Simple reboot example: https://gist.github.com/763074
/*
require('crontab').load(cronLoaded);

function cronLoaded(err, tab) {
    if (err) { console.log(err); process.exit(1); }

    var command = '/usr/bin/env echo "starting some service..."';
    tab.remove(tab.findCommand(command));

    var item = tab.create(command);
    item.everyReboot();
    tab.save(cronSaved);
}
function cronSaved(err, tab) {
    if (err) { console.log(err); process.exit(1); }

    console.log('saved');
}
//*/



// Reboot example with forever: https://gist.github.com/763076
/*
require('crontab').load(cronLoaded);

function cronLoaded(err, tab) {
    if (err) { console.log(err); process.exit(1); }
    
    require('npm').load({}, function (err, npm) {
        if (err) { console.log(err); process.exit(1); }
        
        var Path           = require('path'),
            // uuid identifies your application, use your own please
            uuid           = '74d967a0-120b-11e0-ac64-0800200c9a67',
            npmBinRoot     = npm.config.get('binroot'),
            nodePath       = process.execPath.split('/').slice(0, -1).join('/'),
            exportCommand  = 'export PATH=' + nodePath + ':$PATH',
            foreverCommand = Path.join(npmBinRoot, 'forever'),
            thisCommand    = __filename,
            // export PATH=/path/to/node:$PATH && /path/to/forever start /path/to/this/file
            sysCommand     = exportCommand + ' && ' + foreverCommand + ' start ' + thisCommand;
        
        tab.remove(tab.findComment(uuid));
        
        var item = tab.create(sysCommand, uuid);
        item.everyReboot();
        tab.save();
    });
}
function cronSaved(err, tab) {
    if (err) { console.log(err); process.exit(1); }

    console.log('saved');
}
//*/



/*
require('../lib/index').load(cronLoaded);
function cronLoaded(err, tab) {
    if (err) { console.log(err); process.exit(1); }
    
    var uuid         = '74d967a0-120b-11e0-ac64-0800200c9a66',
        checkEmail   = '/usr/bin/env echo "check email"',
        haveFun      = '/usr/bin/env echo "hack node.js"',
        sleepLate    = '/usr/bin/env echo "wake up"',
        takeVacation = '/usr/bin/env echo "go to Bulgaria"',
        beSurprised  = '/usr/bin/env echo "get presents"',
        startServer  = '/usr/bin/env echo "starting some service" #' + uuid;
    
    tab.remove(tab.findCommand(checkEmail));
    tab.remove(tab.findCommand(haveFun));
    tab.remove(tab.findCommand(sleepLate));
    tab.remove(tab.findCommand(takeVacation));
    tab.remove(tab.findCommand(beSurprised));
    tab.remove(tab.findComment(uuid));
    
    var everyBusinessHour = tab.create(checkEmail);
    everyBusinessHour.minute().on(0);
    everyBusinessHour.hour().during(8, 17);
    everyBusinessHour.dow().during('mon', 'fri');
    
    var everyWeekDayNight = tab.create(haveFun);
    everyWeekDayNight.hour().during(19, 0);
    everyWeekDayNight.hour().during(0, 3);
    everyWeekDayNight.dow().during('mon', 'fri');

    var everyWeekEndMorning = tab.create(sleepLate);
    everyWeekEndMorning.minute().on(30);
    everyWeekEndMorning.hour().on(11);
    everyWeekEndMorning.dow().during('sat', 'sun');

    var everySummer = tab.create(takeVacation);
    everySummer.month().during('jun', 'sep');

    var everyChristmas = tab.create(beSurprised);
    everyChristmas.minute().on(30);
    everyChristmas.hour().on(9);
    everyChristmas.dom().on(24);
    everyChristmas.month().on('dec');

    var item = tab.create(startServer);
    item.everyReboot();
    
    tab.save(cronSaved);
}
function cronSaved(err, tab) {
    if (err) { console.log(err); process.exit(1); }
    
    console.log('saved');
}
//*/
